$step-size: 3rem;

:host {
    display: flex;
    flex-direction: column;
    justify-content: space-between;

    &:not(:last-child) > .dash {
        @media (max-height: 800px) {
            height: 2.25vh;
        }

        @media (min-height: 801px) {
            height: 2rem;
        }

        border-right: 0.2em solid var(--vil-secondary);
        margin-right: $step-size / 1.3;
        &.inactive {
            border-right: 0.2em solid var(--vil-secondary);
        }
        &.active,
        &.started {
            border-right: 0.2em solid var(--vil-primary);
        }
        &.failed,
        &.failing {
            border-right: 0.2em solid var(--vil-error);
        }
        &.complete {
            border-right: 0.2em solid var(--vil-success);
        }
    }
}

.step {
    position: relative;
    display: flex;
    flex-direction: row;
    align-items: center;
    flex: 1;
}

.circle {
    display: flex;
    width: $step-size;
    height: $step-size;
    border-radius: 50%;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-weight: 900;
    margin: 0 1em;

    .inactive > & {
        background: var(--vil-secondary);
    }
    .started > & {
        background: var(--vil-primary);
        color: #fff;
        animation: pulse 2s linear infinite;

        // &::after {
        //     color: #fff;
        //     margin-left: -0.4em;
        //     margin-top: 0.25em;
        //     content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 30 30' fill='none'%3E%3Cpath d='M23.2653 5.70557L20.6216 8.36057C22.3934 10.1334 23.375 12.4912 23.375 14.9999C23.375 20.1712 19.1712 24.3749 14 24.3749V22.4999L10.25 26.2499L14 29.9999V28.1249C21.2366 28.1249 27.125 22.2365 27.125 14.9999C27.125 11.4881 25.7553 8.18807 23.2653 5.70557Z' fill='white'/%3E%3Cpath d='M17.75 3.75L14 0V1.875C6.76344 1.875 0.875 7.76344 0.875 15C0.875 18.5119 2.24469 21.8119 4.73469 24.2944L7.37844 21.6394C5.60656 19.8666 4.625 17.5088 4.625 15C4.625 9.82875 8.82875 5.625 14 5.625V7.5L17.75 3.75Z' fill='white'/%3E%3C/svg%3E%0A");
        // }
    }
    .active > & {
        background: var(--vil-primary);
    }
    .failed > & {
        background: var(--vil-error);
        color: var(--vil-error);
        &::after {
            color: #fff;
            margin-top: 0.25em;
            margin-left: -0.4em;
            content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='24' height='24' viewBox='0 0 24 24' fill='none' stroke='%23fff' stroke-width='4' stroke-linecap='round' stroke-linejoin='round' class='feather feather-x'%3E%3Cline x1='18' y1='6' x2='6' y2='18' /%3E%3Cline x1='6' y1='6' x2='18' y2='18' /%3E%3C/svg%3E");
        }
    }
    .failing > & {
        background: var(--vil-warning);
    }
    .complete > & {
        background: var(--vil-success);
        color: var(--vil-success);

        &::after {
            color: #fff;
            margin-top: 0.25em;
            margin-left: -0.5em;
            content: url("data:image/svg+xml,%3Csvg xmlns='http://www.w3.org/2000/svg' width='1.5em' height='1.5em' viewBox='0 0 24 24' fill='none' stroke='white' stroke-width='4' stroke-linecap='round' stroke-linejoin='round'%3E%3Cpolyline points='20 7 9 18 4 14'%3E%3C/polyline%3E%3C/svg%3E");
        }
    }
}

.content {
    position: absolute;
    left: 2 * $step-size;
    width: 100%;
    color: var(--vil-text);

    &.info {
        bottom: $step-size;
        left: 8.5rem;
    }
}

@keyframes pulse {
    0% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.7);
    }

    70% {
        transform: scale(1);
        box-shadow: 0 0 0 10px rgba(0, 0, 0, 0);
    }

    100% {
        transform: scale(0.95);
        box-shadow: 0 0 0 0 rgba(0, 0, 0, 0);
    }
}
